package com.dk.mdm.service.mac;

import com.dk.mdm.model.pojo.mac.RecPayItem;
import com.dk.mdm.mapper.mac.RecPayItemMapper;
import com.dk.common.service.BaseService;
import com.dk.common.mapper.BaseMapper;
import org.springframework.stereotype.Service;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;

@Service
@Transactional
public class RecPayItemService extends BaseService<RecPayItem> {

	@Override
	public String getPrimaryKey() {
		return "item_id";
	}

	@Override
	public BaseMapper<RecPayItem> getRepository() {
		return recPayItemMapper;
	}

	@Autowired
	private RecPayItemMapper recPayItemMapper;

}
